Subject: Re: [ofa-general] Re: [PATCH v4 14/14] QLogic VNIC: sysfs Documentation

From: Jason Gunthorpe <[email-masked]>
Date: Sat, 14 Jun 2008 13:03:58 -0600

On Sat, Jun 14, 2008 at 11:03:08AM -0700, Roland Dreier wrote:
> > We have linkstate/operstate for this. How is a user supposed
> > to configure the network device when it appears at a more or
> > less random time from his perspective?
 
> Well, keep in mind that this driver is for an ethernet virtual NIC
> that is actually
> remote across another network (an InfiniBand fabric) -- so these devices
> can actually appear or disappear at random times by their nature.  It's a
> similar issue to, say, a USB ethernet adapter presents -- there's no sane way
> to have operstate set for a device that hasn't been attached yet.

I think that is only a fair analogy if the VNIC used some kind of
hot-plug auto discovery procedure like USB does. As soon as you
require the administrator to run a command to bind a device to a VNIC
GID you are much more like a tunnel device and the ethernet device
should exist from the moment the administator creates it up until the
administator destroys it. The state of the connection to the VNIC
should be reflected in some way other than device presence.

Jason